Bug 1563835 - Group @virtualization includes non-existent "python-libguestfs" package
Summary: Group @virtualization includes non-existent "python-libguestfs" package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libguestfs
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-04 20:36 UTC by Robert P. J. Day
Modified: 2018-11-27 19:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-27 19:28:44 UTC
Type: Bug


Attachments (Terms of Use)

Description Robert P. J. Day 2018-04-04 20:36:06 UTC
$ sudo dnf group install --with-optional virtualization
Last metadata expiration check: 0:41:26 ago on Wed 04 Apr 2018 03:53:26 PM EDT.
Group 'Virtualization' is already installed.
No match for group package "python-libguestfs"
Dependencies resolved.
Nothing to do.
Complete!
$

  There exists:

 * python2-libguestfs
 * python3-libguestfs

Not sure how you want to resolve that.

Comment 1 Richard W.M. Jones 2018-04-05 07:50:05 UTC
Yes it'd be nice if comps.xml had some kind of automatic check
for this.  Maybe it could even automatically fix them.

https://fedoraproject.org/wiki/How_to_use_and_edit_comps.xml_for_package_groups

Unfortunately I tried to fix this using the procedure outlined
in the wiki page, but it fails.

$ git clone ssh://git@pagure.io/forks/rjones/fedora-comps.git
Cloning into 'fedora-comps'...
FATAL: R any forks/rjones/fedora-comps rjones DENIED by fallthru
(or you mis-spelled the reponame)
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists.

Comment 2 Adam Williamson 2018-05-21 15:36:33 UTC
Richard: it's like github, you have to actually *create* the fork first (I just do it via the web UI, there may be a more CLI-ish way too, I dunno). Go to https://pagure.io/fedora-comps , make sure you're logged in, and hit the 'Fork' or 'Create Fork' or whatever it's called button at top-right.

Comment 3 Richard W.M. Jones 2018-05-22 07:20:34 UTC
Oh good, they copied the worst workflow in history.

Comment 4 Richard W.M. Jones 2018-05-22 07:29:57 UTC
I did all the other stuff, but couldn't work out how to create the
"pull request".

https://pagure.io/fork/rjones/fedora-comps/c/710bc9f7b96c2100fff94876b6c9fe92bb4d66c2?branch=rename-python-libguestfs

Such a complex system to make a 2 character change to a file!

Comment 5 Adam Williamson 2018-05-22 14:59:38 UTC
If you just go to the Pagure page for the original repo or your fork, and make sure you're logged in, a 'create pull request' button should appear. Sometimes as a notification of a 'recently changed branch' or so, otherwise on the page for your fork, next to the branch name on the right hand side.

Comment 6 Richard W.M. Jones 2018-05-30 12:24:39 UTC
https://pagure.io/fedora-comps/pull-request/284

Comment 7 Ben Cotton 2018-11-27 15:34:19 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Adam Williamson 2018-11-27 19:28:44 UTC
So this was fixed a while back.


Note You need to log in before you can comment on or make changes to this bug.